Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class AxisRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.AxisRecord

public class AxisRecord
extends Record

The axis record defines the type of an axis. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `AXIS_TYPE_CATEGORY_OR_X_AXIS`
`static short` | `AXIS_TYPE_SERIES_AXIS`
`static short` | `AXIS_TYPE_VALUE_AXIS`
`static short` | `sid`

Constructor Summary
`AxisRecord()`
`AxisRecord(short id, short size, byte[] data)` Constructs a Axis record and sets its fields appropriately.
`AxisRecord(short id, short size, byte[] data, int offset)` Constructs a Axis record and sets its fields appropriately.

Method Summary
`java.lang.Object` | `clone()`
`protected void` | `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`short` | `getAxisType()` Get the axis type field for the Axis record.
`int` | `getRecordSize()` Size of record (exluding 4 byte header)
`int` | `getReserved1()` Get the reserved1 field for the Axis record.
`int` | `getReserved2()` Get the reserved2 field for the Axis record.
`int` | `getReserved3()` Get the reserved3 field for the Axis record.
`int` | `getReserved4()` Get the reserved4 field for the Axis record.
`short` | `getSid()` return the non static version of the id for this record.
`int` | `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` | `setAxisType(short field_1_axisType)` Set the axis type field for the Axis record.
`void` | `setReserved1(int field_2_reserved1)` Set the reserved1 field for the Axis record.
`void` | `setReserved2(int field_3_reserved2)` Set the reserved2 field for the Axis record.
`void` | `setReserved3(int field_4_reserved3)` Set the reserved3 field for the Axis record.
`void` | `setReserved4(int field_5_reserved4)` Set the reserved4 field for the Axis record.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)
`protected void` | `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### AXIS_TYPE_CATEGORY_OR_X_AXIS

    public static final short AXIS_TYPE_CATEGORY_OR_X_AXIS

See Also:
  Constant Field Values

### AXIS_TYPE_VALUE_AXIS

    public static final short AXIS_TYPE_VALUE_AXIS

See Also:
  Constant Field Values

### AXIS_TYPE_SERIES_AXIS

    public static final short AXIS_TYPE_SERIES_AXIS

See Also:
  Constant Field Values

Constructor Detail

### AxisRecord

    public AxisRecord()

### AxisRecord

    public AxisRecord(short id,
                      short size,
                      byte[] data)

  Constructs a Axis record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x101d or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### AxisRecord

    public AxisRecord(short id,
                      short size,
                      byte[] data,
                      int offset)

  Constructs a Axis record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x101d or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getAxisType

    public short getAxisType()

  Get the axis type field for the Axis record.

  Returns:
    One of AXIS_TYPE_CATEGORY_OR_X_AXIS AXIS_TYPE_VALUE_AXIS AXIS_TYPE_SERIES_AXIS

### setAxisType

    public void setAxisType(short field_1_axisType)

  Set the axis type field for the Axis record.

  Parameters:
    `field_1_axisType` - One of AXIS_TYPE_CATEGORY_OR_X_AXIS AXIS_TYPE_VALUE_AXIS AXIS_TYPE_SERIES_AXIS

### getReserved1

    public int getReserved1()

  Get the reserved1 field for the Axis record.

### setReserved1

    public void setReserved1(int field_2_reserved1)

  Set the reserved1 field for the Axis record.

### getReserved2

    public int getReserved2()

  Get the reserved2 field for the Axis record.

### setReserved2

    public void setReserved2(int field_3_reserved2)

  Set the reserved2 field for the Axis record.

### getReserved3

    public int getReserved3()

  Get the reserved3 field for the Axis record.

### setReserved3

    public void setReserved3(int field_4_reserved3)

  Set the reserved3 field for the Axis record.

### getReserved4

    public int getReserved4()

  Get the reserved4 field for the Axis record.

### setReserved4

    public void setReserved4(int field_5_reserved4)

  Set the reserved4 field for the Axis record.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.